/////////////////////////////////////////////////////
//
// Pilot LED Module
//
////////////////////////////////////////////////////
#include	<p18f1320.h>
#include	<stdio.h>
#include	<reset.h>
#include	<string.h>
#include	"AutoDcReg.h"
#include	"Prototype.h"
#include	"Io.h"
#pragma udata RAM_TOP

char m_led_methood;
char m_LedOnOff_time;
char m_led_off_time;
char m_led_count;
char m_led_state;
enum{ST_LED_ON,ST_LED_OFF,ST_LED_BLINK,ST_LED_BLINK_ON,ST_LED_BLINK_OFF,ST_LED_NOP};
void	LedSet(char methood,char on_time,char off_time,char count)
{
	m_led_methood = methood;
	m_LedOnOff_time = on_time;
	m_led_off_time=off_time;
	m_led_count = count;
	if (methood == LED_ON){
		m_led_state = ST_LED_ON;
	}else if (methood == LED_OFF){
		m_led_state = ST_LED_OFF;
	}else{
		m_led_state = ST_LED_BLINK;
	}
}
void	LedControl()
{
static char org_LedOnOff_time;
static char org_led_off_time;
		switch(m_led_state){
		case ST_LED_ON:
			PORT_MLED = MLED_ON;
			m_led_state = ST_LED_NOP;
			break;
		case ST_LED_OFF:
			PORT_MLED = MLED_OFF;
			m_led_state = ST_LED_NOP;
			break;
		case ST_LED_BLINK:
			org_LedOnOff_time = m_LedOnOff_time;
			org_led_off_time = m_led_off_time;
			PORT_MLED = MLED_ON;
			m_led_state = ST_LED_BLINK_ON;
			break;
		case ST_LED_BLINK_ON:
			m_LedOnOff_time --;
			if (m_LedOnOff_time == 0){
				m_led_state = ST_LED_BLINK_OFF;
				PORT_MLED = MLED_OFF;
			}else{
			}
			break;
		case ST_LED_BLINK_OFF:
			m_led_off_time --;
			if (m_led_off_time == 0){
				if (m_led_count != TM_INFINITY){				
					m_led_count --;
				}
				if (m_led_count == 0){
					m_led_state = ST_LED_NOP;
				}else{
					m_LedOnOff_time = org_LedOnOff_time;
					m_led_off_time = org_led_off_time;
					m_led_state = ST_LED_BLINK_ON;
					PORT_MLED = MLED_ON;
				}
			}else{
			}
			break;
		case ST_LED_NOP:
			break;
		}
}

#if 0
extern char m_TxBuf[];
char *p_buf;
char lc_i;
char lc_j;
void LLedVoltageOutput(int v)
{
	p_buf = m_TxBuf;
	IToAsc(p_buf,v,5);
	for(lc_i=0;lc_i<5;lc_i++){
		for(lc_j=0;lc_j<(*p_buf-'0');lc_j++){
			PORT_DIRECT_LIPPLE_LED = LLED_ON;
			Delay1KTCYx(0);
			Delay1KTCYx(0);
			PORT_DIRECT_LIPPLE_LED = LLED_OFF;
			Delay1KTCYx(0);
			Delay1KTCYx(0);
			WdtClr();
		}
		p_buf++;
		Delay1KTCYx(0);
		Delay1KTCYx(0);
		WdtClr();
		Delay1KTCYx(0);
		Delay1KTCYx(0);
		WdtClr();
		Delay1KTCYx(0);
		Delay1KTCYx(0);
	}
}
#endif
