/////////////////////////////////////////////////////////////
//	Subroutine Module
//	 
/////////////////////////////////////////////////////////////
#include	<p18f1320.h>
#include	<stdio.h>
#include	"AutoDcReg.h"
#include	"Prototype.h"
////////////////////////////////////////////////////////////////
//	WDT Clear
////////////////////////////////////////////////////////////////
void	WdtClr()
{
_asm
	CLRWDT
_endasm
}
////////////////////////////////////////////////////////////////
//	Asc String Conversion from Integer 
//	<in> asc:result asc buffer
//		 value:integer value
//		 digit:Digit Number 
////////////////////////////////////////////////////////////////
void	IToAsc(char *asc,int value,int digit)
{
static char i;
	asc += digit;
	*asc = NULL;
	asc --;
	for(i=0;i<digit;i++){
		*asc = (value % 10)+'0';
		value = value / 10;
		asc --;
	}

}

////////////////////////////////////////////////////
// AD to Input voltage
//	<in> 	ad:A/D Value
//	<out>	Input Battery Voltage
////////////////////////////////////////////////////
int	AdToV(int ad)
{
int v;
	v = ((5l*1000l)*(long)ad*4L)/(1023l); 	
	return(v);
}
int	AdToV5(int ad)
{
int v;
	v = ((5l*1000l)*(long)ad*1L)/(1023l); 	
	return(v);
}

void BSort(int data[],char n)
{
int temp;
char i, j;

  for (i = 0; i < (n - 1); i++) {
    for (j = (n - 1); j > i; j--) {
      if (data[j-1] < data[j]) {
   		temp = data[j];     
        data[j] = data[j - 1];
        data[j - 1]= temp;
	  }
    }
  }
}

