/////////////////////////////////////////////////////////////
//	I/O Accsess Module
//
/////////////////////////////////////////////////////////////
#include	<p18f1320.h>
#include	<stdio.h>
#include	<reset.h>
#include	<string.h>
#include	"AutoDcReg.h"
#include	"Prototype.h"
#include	"Io.h"

T_PORTA m_PortA;
T_PORTB m_PortB;
unsigned char m_IO_PortA;
unsigned char m_IO_PortB;

////////////////////////////////////////////////////////////////
//	I/O PORT RA Initialize
///////////////////////////////////////////////////////////////
void ioInitPortRa()
{
	*((unsigned char*)&m_PortA) = 0b00010000;
	m_IO_PortA = 0b00000011;
}
////////////////////////////////////////////////////////////////
//	I/O PORT RB Initialize
///////////////////////////////////////////////////////////////
void ioInitPortRb()
{
	*((unsigned char*)&m_PortB) = 0b00001000;
	m_IO_PortB = 0b00110011;
	INTCON2bits.NOT_RBPU = 0;		// PORT B PULL UP
}
void ioFlash()
{
	TRISA = m_IO_PortA; 
	PORTA = *((unsigned char*)&m_PortA);
	TRISB = m_IO_PortB; 
	PORTB = *((unsigned char*)&m_PortB);
}
