///////////////////////////////////////
//
//	I/O define
//
///////////////////////////////////////
typedef struct {
	unsigned char       BV_AD:1;
	unsigned char       LV_AD:1;
	unsigned char       RS_OUT:1;
	unsigned char       NOT_USE1:1;
	unsigned char       LLED:1;
	unsigned char       NONE2:1;
	unsigned char       NOT_USE2:1;
	unsigned char       NOT_USE3:1;
} T_PORTA;


typedef struct {
	unsigned char       DSW1:1;
	unsigned char       DSW2:1;
	unsigned char       RY_DRV:1;
	unsigned char       PLED:1;
	unsigned char       DSW3:1;
	unsigned char       DSW4:1;
	unsigned char       NOT_USE1:1;
	unsigned char       NOT_USE2:1;
} T_PORTB;



extern T_PORTA m_PortA;
extern T_PORTB m_PortB;
#define PORT_MLED	 		m_PortB.PLED
#define PORT_DIRECT_MLED 	PORTBbits.RB3
#define	MLED_ON	 			0
#define	MLED_OFF 			1
#define PORT_LLED 			m_PortA.LLED
#define PORT_DIRECT_LLED 	PORTAbits.RA4
#define	LLED_ON	 			0
#define	LLED_OFF 			1

#define	PORT_RY	 			m_PortB.RY_DRV
#define	ON		 			1
#define	OFF		 			0


//#define	IO_PORT_SERIAL	PORTBbits.RB2
//#define	PORT_SERIAL		m_PortB.RS_OUT
#define	PORT_SERIAL		PORTAbits.RA2
// Dip Sw
#define PORT_DSW1_DEFAULT 	PORTBbits.RB0
#define PORT_DSW2_LED_DB	PORTBbits.RB1
#define PORT_DSW3_RS 		PORTBbits.RB4
#define PORT_DSW4_CALIB 	PORTBbits.RB5
#define PORT_DSW1_CALIB_SEL	PORTBbits.RB0
#define DSW1_DEFAULT_VAL	0
#define DSW1_CALIB_VAL	 	1
#define DSW2_NORMAL		 	0
#define DSW2_LED_DB		 	1
#define DSW3_NORMAL 		0
#define DSW3_RS_DEBUG 		1
#define DSW4_NORMAL 		0
#define DSW4_CALIB	 		1
#define DSW1_ON_CHARGE		0
#define DSW1_OFF_CHARGE		1
